# 32/64bit spec-file
#
%define buildversion 4603.9615

Name:     jitsi
Version:  2.2
Release:  %mkrel 1
Summary:  Jitsi - Open Source Video Calls and Chat
Summary(de): Jitsi - Open Source Anrufe und Chat
Group:     Communications
License:   GNU Lesser General Public License
URL:       http://www.jitsi.org
Source0:   %name-src-%{version}.%{buildversion}.tar.xz
Patch:     %name-launcher.patch
BuildRoot: %{_topdir}/buildroot
AutoReqProv:   no
BuildRequires: java-1.6.0-sun-devel
BuildRequires: apache-ant
BuildRequires: gzip
Requires: java-1.6.0-sun

%description
Jitsi is an audio/video Internet phone and instant messenger that
supports some of the most popular instant messaging and telephony protocols
such as SIP, Jabber, AIM/ICQ, MSN, Yahoo! Messenger, Bonjour, RSS and
counting. Jitsi is completely Open Source / Free Software, and is
freely available under the terms of the GNU Lesser General Public License.

%description -l de
Jitsi ist ein Audio-/Video- Internettelefon und Sofortnachrichtenklient, der
einige der meist bekannten Protokolle unterstützt, wie SIP, Jabber, AIM/ICQ,
MSN, Yahoo! Messenger, Bonjure, RSS und counting. Jitsi ist komplett Open Source/ Freie Software
und ist frei verfügbar unter der GNU Lesser General Public License.

%prep
%setup -qn %{name}-src-%{version}.%{buildversion}
%patch -p1

%build
ant -Dlabel=build.%{buildversion} rebuild

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/jitsi
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
mkdir -p $RPM_BUILD_ROOT/usr/lib/jitsi
mkdir -p $RPM_BUILD_ROOT/usr/lib/jitsi/lib
mkdir -p $RPM_BUILD_ROOT/usr/lib/jitsi/lib/bundle
mkdir -p $RPM_BUILD_ROOT/usr/lib/jitsi/lib/native
mkdir -p $RPM_BUILD_ROOT/usr/lib/jitsi/sc-bundles

# copy the documentation
cp resources/install/debian/%name.1.tmpl $RPM_BUILD_ROOT/usr/share/man/man1/jitsi.1
sed -i -e "s/_PACKAGE_NAME_/jitsi/"  $RPM_BUILD_ROOT/usr/share/man/man1/jitsi.1
sed -i -e "s/_APP_NAME_/Jitsi/"  $RPM_BUILD_ROOT/usr/share/man/man1/jitsi.1
gzip $RPM_BUILD_ROOT/usr/share/man/man1/jitsi.1

# copy the launcher script
cp resources/install/debian/%name.sh.tmpl $RPM_BUILD_ROOT/usr/bin/jitsi
sed -i -e "s/_PACKAGE_NAME_/jitsi/" $RPM_BUILD_ROOT/usr/bin/jitsi

# no more libaoss
#sed -i -e "s@export LD_PRELOAD=/usr/lib/libaoss.so@export LD_PRELOAD=/usr/lib/libaoss.so.0@" $RPM_BUILD_ROOT/usr/bin/sip-communicator
chmod a+x $RPM_BUILD_ROOT/usr/bin/jitsi

# copy the menu icons
cp resources/install/debian/%name-32.xpm $RPM_BUILD_ROOT/usr/share/pixmaps/jitsi-32.xpm
cp resources/install/debian/%name-16.xpm $RPM_BUILD_ROOT/usr/share/pixmaps/jitsi-16.xpm
cp resources/install/debian/%name.svg $RPM_BUILD_ROOT/usr/share/pixmaps/jitsi.svg

# copy the menu entry
cp resources/install/debian/%name.desktop.tmpl $RPM_BUILD_ROOT/usr/share/applications/jitsi.desktop
sed -i -e "s/_PACKAGE_NAME_/jitsi/"  $RPM_BUILD_ROOT/usr/share/applications/jitsi.desktop
sed -i -e "s/_APP_NAME_/Jitsi/"      $RPM_BUILD_ROOT/usr/share/applications/jitsi.desktop

# copy the sc-bundles
cp sc-bundles/*.jar $RPM_BUILD_ROOT/usr/lib/jitsi/sc-bundles/
# remove all slicks
rm -rf $RPM_BUILD_ROOT/usr/lib/jitsi/sc-bundles/*-slick.jar

# copy the os-specific sc-bundles
cp sc-bundles/os-specific/linux/*.jar $RPM_BUILD_ROOT/usr/lib/jitsi/sc-bundles/

# copy the lib jars
cp lib/*.jar $RPM_BUILD_ROOT/usr/lib/jitsi/lib/
cp lib/bundle/* $RPM_BUILD_ROOT/usr/lib/jitsi/lib/bundle/
rm $RPM_BUILD_ROOT/usr/lib/jitsi/lib/bundle/junit.jar
cp lib/os-specific/linux/*.jar $RPM_BUILD_ROOT/usr/lib/jitsi/lib/

# copy the native libs
%ifarch i386 i586 i686
cp lib/native/linux/* $RPM_BUILD_ROOT/usr/lib/jitsi/lib/native/
%else
cp lib/native/linux-64/* $RPM_BUILD_ROOT/usr/lib/jitsi/lib/native/
%endif

# copy the resources
cp resources/install/logging.properties $RPM_BUILD_ROOT/usr/lib/jitsi/lib/
cp lib/felix.client.run.properties $RPM_BUILD_ROOT/usr/lib/jitsi/lib/

# Make felix deploy its bundles in ~/.felix/sip-communicator.bin
sed -i -e "s/felix.cache.profiledir=sip-communicator.bin/felix.cache.profile=sip-communicator.bin/" $RPM_BUILD_ROOT/usr/lib/jitsi/lib/felix.client.run.properties

mv $RPM_BUILD_ROOT/usr/lib/jitsi $RPM_BUILD_ROOT/usr/share/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root) /usr
%doc %{_mandir}/man*/*

%changelog
* Sun Jul 07 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 2.2-1pclos2013
- 2.2

* Mon Mar 25 2013 pinoc <vogtpet at gmail.com> 2.0-2pclos2013
- fixed BR

* Wed Mar 13 2013 Ken <lxgator at gmail.com> 2.0-1pclos2013
- 2.0

* Mon Apr 09 2012 Neal <nealbrks0 at gmail.com> 1.0-3pclos2012
- process

* Mon Apr 09 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 1.0-3pclos2012
- update to stable build 3967
- added german summary and description

* Tue Nov 29 2011 MBantz <martin dot bantz at gmail dot com> jitsi-1.0-2
- Update to build 3768

* Sun May 29 2011 MBantz <martin dot bantz at gmail dot com> jitsi-1.0-1
- Adapted to PCLinux from tankov_pavel at yahoo dot com

